interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: GET
    uri: http://localhost:3000/api/v4/projects/root%2Ftest_registry
  response:
    body:
      string: '{"id":11,"description":"","name":"test_registry","name_with_namespace":"Administrator
        / test_registry","path":"test_registry","path_with_namespace":"root/test_registry","created_at":"2021-02-26T20:45:38.933Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"ssh://mathieu@gdk.test:2222/root/test_registry.git","http_url_to_repo":"http://gdk.test:3000/root/test_registry.git","web_url":"http://gdk.test:3000/root/test_registry","readme_url":null,"avatar_url":null,"forks_count":0,"star_count":0,"last_activity_at":"2021-02-26T20:45:38.933Z","namespace":{"id":1,"name":"Administrator","path":"root","kind":"user","full_path":"root","parent_id":null,"avatar_url":"https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/root"},"container_registry_image_prefix":"gdk.test:5000/root/test_registry","_links":{"self":"http://gdk.test:3000/api/v4/projects/11","issues":"http://gdk.test:3000/api/v4/projects/11/issues","merge_requests":"http://gdk.test:3000/api/v4/projects/11/merge_requests","repo_branches":"http://gdk.test:3000/api/v4/projects/11/repository/branches","labels":"http://gdk.test:3000/api/v4/projects/11/labels","events":"http://gdk.test:3000/api/v4/projects/11/events","members":"http://gdk.test:3000/api/v4/projects/11/members"},"packages_enabled":true,"empty_repo":true,"archived":false,"visibility":"private","owner":{"id":1,"name":"Administrator","username":"root","state":"active","avatar_url":"https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/root"},"resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"container_expiration_policy":{"cadence":"1d","enabled":false,"keep_n":10,"older_than":"90d","name_regex":".*","name_regex_keep":null,"next_run_at":"2021-02-27T20:45:39.021Z"},"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"service_desk_enabled":false,"service_desk_address":null,"can_create_merge_request_in":true,"issues_access_level":"enabled","repository_access_level":"enabled","merge_requests_access_level":"enabled","forking_access_level":"enabled","wiki_access_level":"enabled","builds_access_level":"enabled","snippets_access_level":"enabled","pages_access_level":"private","operations_access_level":"enabled","analytics_access_level":"enabled","emails_disabled":null,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"YTp4n6UCaMSDGgsmRZVQ","ci_default_git_depth":50,"ci_forward_deployment_enabled":true,"public_jobs":true,"build_git_strategy":"fetch","build_timeout":3600,"auto_cancel_pending_pipelines":"enabled","build_coverage_regex":null,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"allow_merge_on_skipped_pipeline":null,"restrict_user_defined_variables":false,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":false,"remove_source_branch_after_merge":true,"printing_merge_request_link_enabled":true,"merge_method":"merge","suggestion_commit_message":null,"auto_devops_enabled":true,"auto_devops_deploy_strategy":"continuous","autoclose_referenced_issues":true,"repository_storage":"default","requirements_enabled":null,"security_and_compliance_enabled":true,"compliance_frameworks":[],"permissions":{"project_access":{"access_level":40,"notification_level":3},"group_access":null}}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Type:
      - application/json
      Date:
      - Fri, 02 Apr 2021 20:14:13 GMT
      Etag:
      - W/"e75855be5c350593cbb353bd0fa5f70c"
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - projects
      X-Request-Id:
      - 01F2A3HJ2M4N36B8D6JPJPZ53F
      X-Runtime:
      - '0.475936'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: GET
    uri: https://quay.io/v2/
  response:
    body:
      string: 'true'
    headers:
      Connection:
      - close
      Content-Length:
      - '4'
      Content-Type:
      - text/html; charset=utf-8
      Date:
      - Fri, 02 Apr 2021 20:14:13 GMT
      Docker-Distribution-API-Version:
      - registry/2.0
      Server:
      - nginx/1.12.1
      WWW-Authenticate:
      - Bearer realm="https://quay.io/v2/auth",service="quay.io"
    status:
      code: 401
      message: UNAUTHORIZED
- request:
    body: null
    headers:
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: GET
    uri: https://quay.io/v2/auth?service=quay.io&scope=repository%3Ajetstack%2Fcert-manager-controller%3Apull
  response:
    body:
      string: '{"token":"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImViNTI1YzEwOGI2YjBjYTEwOWEzNGNiMDhlM2ExOGE2ODA4ZjgzYzlmODMyOThjZTg4OTc2MDc1YmRkYzgxMTcifQ.eyJhY2Nlc3MiOlt7InR5cGUiOiJyZXBvc2l0b3J5IiwibmFtZSI6ImpldHN0YWNrL2NlcnQtbWFuYWdlci1jb250cm9sbGVyIiwiYWN0aW9ucyI6WyJwdWxsIl19XSwiY29udGV4dCI6eyJjb20uYXBvc3RpbGxlLnJvb3RzIjp7ImpldHN0YWNrL2NlcnQtbWFuYWdlci1jb250cm9sbGVyIjoiJGRpc2FibGVkIn0sImNvbS5hcG9zdGlsbGUucm9vdCI6IiRkaXNhYmxlZCJ9LCJhdWQiOiJxdWF5LmlvIiwiZXhwIjoxNjE3Mzk4MDU0LCJpc3MiOiJxdWF5IiwiaWF0IjoxNjE3Mzk0NDU0LCJuYmYiOjE2MTczOTQ0NTQsInN1YiI6Iihhbm9ueW1vdXMpIn0.rgNvMiPC6vYl9b-26xasY7dT-4FbIoyxAzlg2qmk741E1IErbWoqIWE9gXWI1FLMKyXUmp9ypgTh8acBpWTq-rPUBIE2-Yaya9jPPXdzpRioyjedMWziujzANQZceqjzRs-Y_3mwR9FgwGlvr_x_5aqubiHVXEM6Q8bLp5Xajwq5BCfGosJwdKYyRLbxvDmVphiM3mqtohp8r4H7kG7P5wSWZOnnTy_crWFSLO_NOwWC_25Ud-dmgvFwpft4iLgJESUFKlhoEtPBGMFYyFMcG_3sXRP79MtHMHN_TBRHLOKs11YsxIrlWzP4HVgLerpolF_7eNAO9y5rpYu5czq5KQ"}

        '
    headers:
      Cache-Control:
      - no-cache, no-store, must-revalidate
      Connection:
      - close
      Content-Length:
      - '906'
      Content-Type:
      - application/json
      Date:
      - Fri, 02 Apr 2021 20:14:14 GMT
      Server:
      - nginx/1.12.1
      Strict-Transport-Security:
      - max-age=63072000; preload
      X-Frame-Options:
      - DENY
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/vnd.docker.distribution.manifest.v2+json, application/vnd.docker.distribution.manifest.v1+prettyjws,
        application/vnd.docker.distribution.manifest.v1+json, application/vnd.docker.distribution.manifest.list.v2+json
      Authorization:
      - Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImViNTI1YzEwOGI2YjBjYTEwOWEzNGNiMDhlM2ExOGE2ODA4ZjgzYzlmODMyOThjZTg4OTc2MDc1YmRkYzgxMTcifQ.eyJhY2Nlc3MiOlt7InR5cGUiOiJyZXBvc2l0b3J5IiwibmFtZSI6ImpldHN0YWNrL2NlcnQtbWFuYWdlci1jb250cm9sbGVyIiwiYWN0aW9ucyI6WyJwdWxsIl19XSwiY29udGV4dCI6eyJjb20uYXBvc3RpbGxlLnJvb3RzIjp7ImpldHN0YWNrL2NlcnQtbWFuYWdlci1jb250cm9sbGVyIjoiJGRpc2FibGVkIn0sImNvbS5hcG9zdGlsbGUucm9vdCI6IiRkaXNhYmxlZCJ9LCJhdWQiOiJxdWF5LmlvIiwiZXhwIjoxNjE3Mzk4MDU0LCJpc3MiOiJxdWF5IiwiaWF0IjoxNjE3Mzk0NDU0LCJuYmYiOjE2MTczOTQ0NTQsInN1YiI6Iihhbm9ueW1vdXMpIn0.rgNvMiPC6vYl9b-26xasY7dT-4FbIoyxAzlg2qmk741E1IErbWoqIWE9gXWI1FLMKyXUmp9ypgTh8acBpWTq-rPUBIE2-Yaya9jPPXdzpRioyjedMWziujzANQZceqjzRs-Y_3mwR9FgwGlvr_x_5aqubiHVXEM6Q8bLp5Xajwq5BCfGosJwdKYyRLbxvDmVphiM3mqtohp8r4H7kG7P5wSWZOnnTy_crWFSLO_NOwWC_25Ud-dmgvFwpft4iLgJESUFKlhoEtPBGMFYyFMcG_3sXRP79MtHMHN_TBRHLOKs11YsxIrlWzP4HVgLerpolF_7eNAO9y5rpYu5czq5KQ
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: HEAD
    uri: https://quay.io/v2/jetstack/cert-manager-controller/manifests/v0.1.0
  response:
    body:
      string: ''
    headers:
      Connection:
      - close
      Content-Length:
      - '5773'
      Content-Type:
      - application/vnd.docker.distribution.manifest.v1+prettyjws
      Date:
      - Fri, 02 Apr 2021 20:14:14 GMT
      Docker-Content-Digest:
      - sha256:b19e1c859c5d1b23169453a5abfaa37299106f77a1e1227381739c4461915984
      Server:
      - nginx/1.12.1
      Strict-Transport-Security:
      - max-age=63072000; preload
      X-Frame-Options:
      - DENY
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: GET
    uri: https://gdk.test:5000/v2/
  response:
    body:
      string: '{"errors":[{"code":"UNAUTHORIZED","message":"authentication required","detail":null}]}

        '
    headers:
      Content-Length:
      - '87'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Fri, 02 Apr 2021 20:14:14 GMT
      Docker-Distribution-Api-Version:
      - registry/2.0
      Www-Authenticate:
      - Bearer realm="http://gdk.test:3000/jwt/auth",service="container_registry"
      X-Content-Type-Options:
      - nosniff
    status:
      code: 401
      message: Unauthorized
- request:
    body: null
    headers:
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOnhzWUVZcFRTYnhyQ2FmQWhwbkFw
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: GET
    uri: http://gdk.test:3000/jwt/auth?service=container_registry&scope=repository%3Aroot%2Ftest_registry%2Fjetstack%2Fcert-manager-controller%3Apull
  response:
    body:
      string: '{"token":"eyJhbGciOiJSUzI1NiIsImtpZCI6IlJJWTM6SUhGMjpZUlhVOlJGTVI6NEVRRDpJWVZDOjZMSzM6MzVJTDpGRFJGOklKUE46Q0MySjpMTEIzIiwidHlwIjoiSldUIn0.eyJhY2Nlc3MiOlt7InR5cGUiOiJyZXBvc2l0b3J5IiwibmFtZSI6InJvb3QvdGVzdF9yZWdpc3RyeS9qZXRzdGFjay9jZXJ0LW1hbmFnZXItY29udHJvbGxlciIsImFjdGlvbnMiOlsicHVsbCJdfV0sImp0aSI6IjJhOGIwMmY2LThlYjMtNDE5Mi05YzQ1LTI3ZDE5OThkMzRjOCIsImF1ZCI6ImNvbnRhaW5lcl9yZWdpc3RyeSIsInN1YiI6InJvb3QiLCJpc3MiOiJnaXRsYWItaXNzdWVyIiwiaWF0IjoxNjE3Mzk0NDg0LCJuYmYiOjE2MTczOTQ0NzksImV4cCI6MTYxNzM5NDc4NH0.JKPaIXzCS4SRVbY0luU25gzEl1zb9TY3OzWWXuhEd4s79sB_5kMWlN7i28SnjgvfCq_XdsakMcjHHMZPaQpj2iZDh1L8CZUNV17uD3BCbuFcRZtknZllNfzkQwGp0qAel2LxDA_sRsq2fh-wvMZdVzl4Ht1Uja1H80i6IZGDm1lqEAP-1QycRluCIZIGjC27pgDwzNPIIAPs37pxq8JWkFJ88bAfFT0dR5tY9EhFEtEq6Pon3fryXWWWFN_FJ_AE44A4Hhg57VGepZ0quRnpiUmly_yINMN3sEhPoHR_GCVNdrGjK90GruLBmf4qIuqde9QKM8_h2CqWHIUiiGu7hw"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '846'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Fri, 02 Apr 2021 20:14:44 GMT
      Etag:
      - W/"ac8d75414df28b8fc0bd775474c070e5"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Set-Cookie:
      - perf_bar_enabled=true; path=/
      - experimentation_subject_id=eyJfcmFpbHMiOnsibWVzc2FnZSI6IkltTmxPRFZpWldZekxUVmxNakF0TkRRd1pDMDROVEU1TFRoak1USXdPVE13TlRReU5TST0iLCJleHAiOm51bGwsInB1ciI6ImNvb2tpZS5leHBlcmltZW50YXRpb25fc3ViamVjdF9pZCJ9fQ%3D%3D--7d328a26ecce76477f793d440af8d1516baf9332;
        path=/; expires=Tue, 02 Apr 2041 20:14:15 GMT; HttpOnly
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - DENY
      X-Gitlab-Feature-Category:
      - authentication_and_authorization
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 01F2A3HM90XTE50Z6RCYGG7FPP
      X-Runtime:
      - '29.210876'
      X-Ua-Compatible:
      - IE=edge
      X-Xss-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/vnd.docker.distribution.manifest.v2+json, application/vnd.docker.distribution.manifest.v1+prettyjws,
        application/vnd.docker.distribution.manifest.v1+json, application/vnd.docker.distribution.manifest.list.v2+json
      Authorization:
      - Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IlJJWTM6SUhGMjpZUlhVOlJGTVI6NEVRRDpJWVZDOjZMSzM6MzVJTDpGRFJGOklKUE46Q0MySjpMTEIzIiwidHlwIjoiSldUIn0.eyJhY2Nlc3MiOlt7InR5cGUiOiJyZXBvc2l0b3J5IiwibmFtZSI6InJvb3QvdGVzdF9yZWdpc3RyeS9qZXRzdGFjay9jZXJ0LW1hbmFnZXItY29udHJvbGxlciIsImFjdGlvbnMiOlsicHVsbCJdfV0sImp0aSI6IjJhOGIwMmY2LThlYjMtNDE5Mi05YzQ1LTI3ZDE5OThkMzRjOCIsImF1ZCI6ImNvbnRhaW5lcl9yZWdpc3RyeSIsInN1YiI6InJvb3QiLCJpc3MiOiJnaXRsYWItaXNzdWVyIiwiaWF0IjoxNjE3Mzk0NDg0LCJuYmYiOjE2MTczOTQ0NzksImV4cCI6MTYxNzM5NDc4NH0.JKPaIXzCS4SRVbY0luU25gzEl1zb9TY3OzWWXuhEd4s79sB_5kMWlN7i28SnjgvfCq_XdsakMcjHHMZPaQpj2iZDh1L8CZUNV17uD3BCbuFcRZtknZllNfzkQwGp0qAel2LxDA_sRsq2fh-wvMZdVzl4Ht1Uja1H80i6IZGDm1lqEAP-1QycRluCIZIGjC27pgDwzNPIIAPs37pxq8JWkFJ88bAfFT0dR5tY9EhFEtEq6Pon3fryXWWWFN_FJ_AE44A4Hhg57VGepZ0quRnpiUmly_yINMN3sEhPoHR_GCVNdrGjK90GruLBmf4qIuqde9QKM8_h2CqWHIUiiGu7hw
      Cookie:
      - experimentation_subject_id=eyJfcmFpbHMiOnsibWVzc2FnZSI6IkltTmxPRFZpWldZekxUVmxNakF0TkRRd1pDMDROVEU1TFRoak1USXdPVE13TlRReU5TST0iLCJleHAiOm51bGwsInB1ciI6ImNvb2tpZS5leHBlcmltZW50YXRpb25fc3ViamVjdF9pZCJ9fQ%3D%3D--7d328a26ecce76477f793d440af8d1516baf9332;
        perf_bar_enabled=true
      Docker-Distribution-Api-Version:
      - registry/2.0
    method: HEAD
    uri: https://gdk.test:5000/v2/root/test_registry/jetstack/cert-manager-controller/manifests/v0.1.0
  response:
    body:
      string: ''
    headers:
      Content-Length:
      - '5773'
      Content-Type:
      - application/vnd.docker.distribution.manifest.v1+prettyjws
      Date:
      - Fri, 02 Apr 2021 20:14:44 GMT
      Docker-Content-Digest:
      - sha256:b19e1c859c5d1b23169453a5abfaa37299106f77a1e1227381739c4461915984
      Docker-Distribution-Api-Version:
      - registry/2.0
      Etag:
      - '"sha256:b19e1c859c5d1b23169453a5abfaa37299106f77a1e1227381739c4461915984"'
      X-Content-Type-Options:
      - nosniff
    status:
      code: 200
      message: OK
version: 1
